version: "3.9"
services:
  reposilite:
    container_name: root_maven-repo
    image: docker.io/dzikoysk/reposilite:3.1.1 
    ports:
      - ${PORT}:${PORT}
    env_file:
      - .env
    environment:
      - JAVA_OPTS=-Xmx${MEMORY} ${JAVA_COMPOSE_OPTS}
      - REPOSILITE_OPTS=--port ${PORT} ${REPOSILITE_COMPOSE_OPTS}
    volumes:
      - reposilite-data:/app/data
    restart: unless-stopped
    stdin_open: true
    tty: true
volumes:
  reposilite-data: {}
